#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8A,0xA2,0xDF,0x81,0x3D,0x3D,0x0E,0xE9,0x1E,0x71,0x7F,0x04,
		0xC6,0x1B,0x9E,0x79,0x74,0x94,0xFD,0x7F,0x16,0x6A,0xC6,0x3F,
		0xA4,0x0E,0x25,0x23,0xC1,0xC5,0x06,0x13,0x0A,0x36,0x74,0xFB,
		0x5A,0x40,0x51,0x09,0x08,0x17,0xC3,0x01,0x13,0x3A,0x8F,0xEE,
		0xCE,0x82,0x30,0x88,0x8F,0x9A,0x1E,0x40,0x35,0x42,0x20,0x7E,
		0x74,0x17,0x71,0x83,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
